---
- set_fact:
    docker_env:
      BUILD_DATE: "{{ ansible_date_time.iso8601 }}"
      BUILD_TYPE: stable
      SAMBA_VERSION: 4.15.5-r0
      BUILD_VERSION: 4.15.5-r0
      SAMBA_AD_IMAGE_NAME: redmoosetech/samba-ad-dc
      ALPINE_IMAGE: alpine
      ALPINE_VERSION: 3.15.0

- name: Log into DockerHub
  community.docker.docker_login:
    username: "{{ lookup('community.hashi_vault.hashi_vault', 'infrastructure/data/docker:username') }}"
    password: "{{ lookup('community.hashi_vault.hashi_vault', 'infrastructure/data/docker:password') }}"

- name: Build Samba AD DC Image with Build Args.
  community.docker.docker_image:
    name: "{{ docker_env.SAMBA_AD_IMAGE_NAME }}"
    push: yes
    tag: "{{ docker_env.ALPINE_VERSION }}"
    build:
      path: samba-ad-dc/
      args:
        ALPINE_IMAGE: "{{ docker_env.ALPINE_IMAGE }}"
        ALPINE_VERSION: "{{ docker_env.ALPINE_VERSION }}"
    source: build
  environment: "{{ docker_env }}"